Name:           lxqt-wayland-session
Version:        0.2.0
Release:        %mkrel 1
Summary:        Files needed for the LXQt Wayland Session
License:        LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://lxqt-project.org/
Source0:        https://github.com/lxqt/lxqt-wayland-session/releases/download/%{version}/%{name}-%{version}.tar.xz
# our chksession is not robust against blank line placed before Name line, remove it
Patch0:         0001-suppress-blank-line-desktop.patch
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  cmake(lxqt) >= 2.1.0
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  xdg-user-dirs

%description
Files needed for the LXQt Wayland Session: Wayland session start
script, its desktop entry for display managers and default
configurations for actually supported compositors which are:

 * Stacking WMs
   ° Labwc (version 0.7.2 and higher)
   ° Wayfire
   ° kwin_wayland

 * Tiling Wms
   ° Hyprland
   ° Niri
   ° river
   ° Sway

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%license COPYING*
%doc CHANGELOG README.md
%{_bindir}/startlxqtwayland
%{_datadir}/lxqt/graphics/lxqt-labwc.png
%{_datadir}/lxqt/wallpapers/origami-dark-labwc.png
%{_datadir}/lxqt/wayland/
%{_datadir}/wayland-sessions/lxqt-wayland.desktop
%{_datadir}/themes/Vent/
%{_datadir}/themes/Vent-dark/
%{_datadir}/man/man1/*.1.*



%changelog
* Sat Jun 07 2025 papoteur <papoteur> 0.2.0-1.mga10
+ Revision: 2189841
- new version 0.2.0

* Mon Dec 16 2024 daviddavid <daviddavid> 0.1.1-1.mga10
+ Revision: 2125652
- new version 0.1.1

* Tue Nov 05 2024 daviddavid <daviddavid> 0.1.0-1.mga10
+ Revision: 2112604
- initial package lxqt-wayland-session

